### Method

# Fwupd Device to_json_full

since: 1.8.2

#### Declaration [src]

    void
    fwupd_device_to_json_full (
      FwupdDevice* self,
      JsonBuilder* builder,
      FwupdDeviceFlags flags
    )

#### Description [src]

Adds a fwupd device to a JSON builder Optionally provides additional data based upon flags.

Available since: 1.8.2

#### Parameters

`builder`

  Type: `JsonBuilder`

  A JSON builder.

  The data is owned by the caller of the method.

`flags`

  Type: `FwupdDeviceFlags`

  Device flags.